import { View, Image } from '@tarojs/components'
import './index.less'
import ColorPicker from "@/components/color-diy";
import { useEffect, useState } from 'react';
import history from "../../assets/history.png";

export default function Index() {
  const list = ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',]
  const [open, setOpen] = useState(false)


  const handleColorPicker = (e) => {
    setOpen(false)
  }
  useEffect(() => {

  }, [])
  return (
    <View className="index">
      <View className='head'>
        <View className='head-left'>像素跳动</View>
        <View className='head-right'>  <Image className='icon' src={history} />历史记录</View>
      </View>
      <View className="grid">
        {list.map((item, index) => <View className={`grid-item ${index == 0 ? 'active' : ''}`} key={index}></View>)}
      </View >

      <View className='colorbox'>
        <View className='colorbox-icon'></View>
        <View className='colorbox-btn'>#EDEDED</View>
      </View>
      <View className='btn' onClick={() => setOpen(true)}>传输画面到音响屏幕</View>
      <View className='hint'>*点击上方小格子并选取颜色</View>

      <ColorPicker open={open} handleColorPicker={handleColorPicker} />
    </View >
  )
}
